Reports: On-Demand
Create a One-Time Report
To create a one-time report, your client application must send an HTTP PUT request to the report server. The request body contains the details for creating the report, such as the report type, the start time, and the frequency. The URL format is:
PUT /reporting/v3/reports
PUT /reporting/v3/reports
PUT /reporting/v3/reports
The request body is:
{ "organizationId": "{organizationId}", "reportName": "DailyTransactions", "reportDefinitionName": "TransactionRequestClass", "reportFields": [ "Request.RequestID", "Request.TransactionDate", "Request.MerchantID", "BillTo.FirstName", "BillTo.LastName", "BillTo.City" ], "reportMimeType": "application/xml", "reportFrequency": "Adhoc", "timeZone": "GMT", "startTime": "0900", "startDay": "1"}Fields
The request body supports these fields:
| Value | Description | Required/Optional |
|---|---|---|
organizationId | The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID. | Optional |
reportDefinitionName | Name of the report type. See Report Definitions for valid values. | Required |
reportFields | Array of field names which should be included in the report. For a list of available fields, see Field Reference. | Required |
reportMimeType | Format of the report. Valid values: application/xml, text/csv | Optional |
reportName | Unique name of the report subscription to create or edit. | Required |
timeZone | Merchant's time zone. For a list of supported time zones, see Time Zones. Example: America/Chicago | Optional |
startTime | Time of day the report runs. Format: HHMM | Optional |
startDay | Day of month (1-31) the report runs for monthly reports. | Optional |
reportFilters | Array that contains additional filters. | Optional |
reportPreferences.signedAmounts | Indicator that determines whether or not a negative sign is used for the amount of all refunded transactions. Valid values: true, false | Optional |
reportPreferences.fieldNameConvention | The field naming convention to use in reports (applicable only to CSV report formats). Valid values: SOAPI, SCMP | Optional |
selectedMerchantGroupName | Name of the merchant group. | Optional |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 304: Not modified
- 400: Invalid request
- 401: Unauthorized. The provided token is no longer valid.
- 404: Report not found or no transactions are available
- 500: Internal server error.
For detailed information on the responses, including which fields are returned, see the Field Reference.
Conversion Detail Report
The Conversion Detail Report contains details of transactions for a merchant. To request the report, send an HTTP GET request to the report server. The default format for responses is JSON, but some reports can also return CSV or XML. You can set the response to return CSV or XML in the request header by setting the Accept value to either application/xml or text/csv.
The URL format is:
GET /reporting/v3/conversion-details?startTime={startTime}&endTime={endTime}&organizationId={organizationId}
GET /reporting/v3/conversion-details?startTime={startTime}&endTime={endTime}&organizationId={organizationId}
GET /reporting/v3/conversion-details?startTime={startTime}&endTime={endTime}&organizationId={organizationId}
URL Parameters
| Parameter | Description | Required/Optional |
|---|---|---|
{startTime} | Report start date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{endTime} | Report end date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{organizationId} | The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID. | Optional |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 400: Invalid request
- 404: Report not found or no transactions are available
For detailed information on the responses, including which fields are returned, see the Field Reference.
Notification of Change Report
The Notification of Change Report contains a list of eCheck-related values updated in response to an eCheck settlement transaction. To request the report, send an HTTP GET request to the report server. The URL format is:
GET /reporting/v3/notification-of-changes?startTime={startTime}&endTime={endTime}
GET /reporting/v3/notification-of-changes?startTime={startTime}&endTime={endTime}
GET /reporting/v3/notification-of-changes?startTime={startTime}&endTime={endTime}
URL Parameters
| Parameter | Description | Required/Optional |
|---|---|---|
{startTime} | Report start date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{endTime} | Report end date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 400: Invalid request
- 401: Unauthorized. The provided token is no longer valid.
- 404: Report not found or no transactions are available.
- 500: Internal server error.
For detailed information on the responses, including which fields are returned, see the Field Reference.
Purchase and Refund Detail Report
The Purchase and Refund Detail Report contains purchase and refund details submitted to your payment processor. Merchants using certain payment processors also see fee and funding data. To request the report, send an HTTP GET request to the report server. The default format for responses is JSON, but some reports can also return CSV or XML. You can set the response to return CSV or XML in the request header by setting the Accept value to either application/xml or text/csv.
The URL format is:
GET /reporting/v3/purchase-refund-details?startTime={startTime}&endTime={endTime}
GET /reporting/v3/purchase-refund-details?startTime={startTime}&endTime={endTime}
GET /reporting/v3/purchase-refund-details?startTime={startTime}&endTime={endTime}
URL Parameters
| Parameter | Description | Required/Optional |
|---|---|---|
{startTime} | Report start date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{endTime} | Report end date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{organizationId} | The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID. | Optional |
{paymentSubtype} | Payment subtypes. The default value is ALL. Valid values: ALL (All Payment Subtypes), VI (Visa), MC (Mastercard), AX (American Express), DI (Discover), DP (PINless Debit) | Optional |
{viewBy} | View results by request date or submission date. The default value is requestDate. Valid values: requestDate (Request Date), submissionDate (Submission Date) | Optional |
{groupName} | Group name, which is defined in the Group Management Module in the . | Optional |
{offset} | Controls the starting point within the collection of results, which defaults to 0. The first item in the collection is retrieved by setting a zero offset. For example, if you have a collection of 15 items to be retrieved from a resource and you specify limit=5, you can retrieve the entire set of results in 3 successive requests by varying the offset value: offset=0, offset=5, and offset=10. If an offset larger than the number of results is provided, no embedded object is returned. | Optional |
{limit} | Controls the maximum number of items that can be returned for a single request. The default is 2000. | Optional |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 400: Invalid request
- 401: Unauthorized. The provided token is no longer valid.
- 404: Report not found or no transactions are available.
- 500: Internal server error.
For detailed information on the responses, including which fields are returned, see the Field Reference.
Net Funding Report
The Net Funding report contains the daily interchange, discount, and standard assessments. Some month-end fees, such as authorizations, are detected at the end of the month and appear in the Net Funding report on that particular day. Total Net Funding is calculated by subtracting chargebacks, fees, and any other negative amounts. To request the report, send an HTTP GET request to the report server. The URL format is:
GET /reporting/v3/net-fundings?startTime={startTime}&endTime={endTime}
GET /reporting/v3/net-fundings?startTime={startTime}&endTime={endTime}
GET /reporting/v3/net-fundings?startTime={startTime}&endTime={endTime}
URL Parameters
| Parameter | Description | Required/Optional |
|---|---|---|
{startTime} | Report start date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{endTime} | Report end date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{organizationId} | The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID. | Optional |
{groupName} | Group name, which is defined in the Group Management Module in the . | Optional |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 400: Invalid request
- 401: Unauthorized. The provided token is no longer valid.
- 404: Report not found or no transactions are available.
- 500: Internal server error.
For detailed information on the responses, including which fields are returned, see the Field Reference.
Payment Batch Summary Report
The Payment Batch Summary report shows total sales and refunds by currency and payment method. To request the report, send an HTTP GET request to the report server. The URL format is:
GET /reporting/v3/payment-batch-summaries?startTime={startTime}&endTime={endTime}
GET /reporting/v3/payment-batch-summaries?startTime={startTime}&endTime={endTime}
GET /reporting/v3/payment-batch-summaries?startTime={startTime}&endTime={endTime}
URL Parameters
| Parameter | Description | Required/Optional |
|---|---|---|
{startTime} | Report start date to search on in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSSZ). Example: 2019-05-01T12:00:00-05:00 | Required |
{endTime} | Report end date to search on in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSSZ). Example: 2019-08-30T12:00:00-05:00 | Required |
{organizationId} | The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID. | Optional |
{rollUp} | Specifies whether to present data in spans of a single day, week, or month. Valid values: day, week, month | Conditional. Required when requesting breakdown data for a merchant. |
{breakdown} | Used to request data at the parent-level account, such as Reseller. Valid values: account_rollup (Returns batch summaries data aggregated at the account level), all_merchant (Returns batch summaries data for all MIDs that belong to the requesting parent ID), selected_merchant (Returns batch summaries data for the selected merchant) | Conditional. Required when requesting breakdown data for a merchant. |
{startDayOfWeek} | Start day of week to breakdown data. Valid values: 1, 2, 3, 4, 5, 6, 7 | Optional |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 400: Invalid request
- 404: Report not found or no transactions are available
For detailed information on the responses, including which fields are returned, see the Field Reference.
Chargeback Summary Report
The Chargeback Summary Report contains a summary of chargebacks for the specified date range. To request the report, your client application must send an HTTP GET message to the report server.
The URL format is:
GET /reporting/v3/chargeback-summaries?startTime={startTime}&endTime={endTime}
GET /reporting/v3/chargeback-summaries?startTime={startTime}&endTime={endTime}
GET /reporting/v3/chargeback-summaries?startTime={startTime}&endTime={endTime}
URL Parameters
| Parameter | Description | Required/Optional |
|---|---|---|
{startTime} | Report start date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{endTime} | Report end date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000Z | Required |
{organizationId} | The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID. | Optional |
Responses
This request can return one of these HTTP status codes:
- 200: OK
- 400: Invalid request
- 401: Unauthorized. The provided token is no longer valid.
- 404: Report not found or no transactions are available.
- 500: Internal server error.
For detailed information on the responses, including which fields are returned, see the Field Reference.
Thanks for your feedback!
Last published: September 29, 2026